using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;
using System.Text.Json.Serialization;

namespace Hotline.Share.Requests.Train
{
    public record TrainRecordPagedRequest:PagedRequest,IQueryRequest
    {
        /// <summary>
        /// 培训编码
        /// </summary>
        [Description("培训编码")]
        public string Code { get; set; }

        /// <summary>
        /// 培训名称
        /// </summary>
        [Description("培训名称")]
        public string Name { get; set; }

        /// <summary>
        /// 最小开始时间
        /// </summary>
        [Description("最小开始时间")]
        public DateTime? MinStartTime { get; set; }

        /// <summary>
        /// 最大开始时间
        /// </summary>
        [Description("最大开始时间")]
        public DateTime? MaxStartTime { get; set; }

        /// <summary>
        /// 最小结束时间
        /// </summary>
        [Description("最小结束时间")]
        public DateTime? MinEndTime { get; set; }

        /// <summary>
        /// 最大结束时间
        /// </summary>
        [Description("最大结束时间")]
        public DateTime? MaxEndTime { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        [Description("用户Id")]
        [JsonIgnore]
        public string UserId { get; set; }

    }
}
